<?php
require_once("PHP/ProcPom.php");
require_once("PHP/MyDatabase.php");

function Odkoduj($osoba){
	$osoba["Tytul"]      = Tytu2Str($osoba["Tytul"]);
	$osoba["Stanowisko"] = Stanowisko2Str($osoba["Stanowisko"]);
	return $osoba;
}

function PobierzKadre(){ 
	$db = myDB();
	if ($db!= false){
		$osoby = myDbSelect($db,"SELECT * FROM osoby ORDER BY Nazwisko");
		foreach($osoby as $osoba){
			$osoba = Odkoduj($osoba);
		}
		return $osoby;
	} else {
		return [];
	}
}


function PobierzOsobe($NICK){
	$db = myDB();
	if ($db!= false){
		$NICK  = substr($db->real_escape_string($NICK),0,4);
		$osoby = myDbSelect($db,"SELECT * FROM osoby WHERE NICK = '$NICK';");
		if (sizeof($osoby)===1){
			return Odkoduj($osoby[0]);
		} else {
			return [];
		}
	} else {
		return [];
	}
}


$NICK     =  (isset($_REQUEST['NICK'])?$_REQUEST['NICK']:"");
$response = ($NICK===""?PobierzKadre():PobierzOsobe($NICK));

header('content-type: application/json; charset=utf-8');
echo json_encode($response,JSON_UNESCAPED_UNICODE);
exit();

/*
$headers  = apache_request_headers();
//print_r($headers);
if (isset($headers['Accept']) and (strpos($headers['Accept'],'text/html')!== false)){
	header('content-type: text/html');
	echo print_r($response,true);
} else {
	header('content-type: application/json; charset=utf-8');
	echo json_encode($response,JSON_UNESCAPED_UNICODE);
}
*/
?>
