<?php
$WZOR=<<<EOT
<table>
<thead>
  <tr><th>Osoba</th><th>Stanowisko</th><th>Pokoj</th></tr>
</thead>
<tbody>
{{WIERSZE}}</tbody>
</table>
EOT;

function PobierzOsoby(){
	$db = new mysqli('localhost','root','1234','wppt');
	if (is_bool($db)){
		die("Połaczanie nieudane: ");
	}
	$db->set_charset("utf8");
	$query = $db->query("SELECT * FROM osoby");
	$osoby = [];
	while ($osoba = $query->fetch_assoc()) {
		$osoby[] = $osoba;
	}
	$db->close();
	return $osoby;
}

function GenerujOsoby($osoby){
	global $WZOR, $Tytuly;
	$S = "";
	foreach($osoby as $osoba){
		$S.= "<tr>";
		$S.= "<td>";
		$S.= $osoba["Tytul"] . " ";
		$S.= $osoba["Imie"] . "  " . $osoba["Nazwisko"] . "</td>";
		$S.= "<td>" . $osoba["Stanowisko"] . "</td>";
		$S.= "<td>" . $osoba["Pokoj"] . "</td>";
		$S.= "</tr>\n";
	}
	return str_replace("{{WIERSZE}}",$S, $WZOR);
}
?>

<!DOCTYPE html>
<html lang="pl">
<head>
  <meta charset="utf-8">
  <title>Test MYSQL</title>
  <meta name="description" content= "Pierwsze zabawy z MySQL">
  <meta name="keywords" content= "WPPT, PWr, programy, algorytmy, PHP, MYSQL">  
  <meta name="viewport"  content= "width=device-width, initial-scale=1.0"/>
<style>
body{
	padding:1em;
}
table {
    border-collapse: collapse;
}

table, th, td {
    border: 1px solid black;
}

th {
    background-color: #4CAF50;
    color: white;
}

tr:nth-child(even) {background-color: #a0FFaA}
tr:hover {background-color: #f5f5f5}

th, td {
    padding: 0.5em 1em;
    text-align: left;
}
</style>
</head>

<body>
<h1>Test MySQL - 02</h1>
 
<?php echo GenerujOsoby(PobierzOsoby());?>

</body>
</html>
 